Description

Now that we go 3D...

Loading a 3D polygon layer, for example this GDB:

http://services.arcgisonline.nl/3D_kaart_NL/25gn1.zip

The provider (ogrinfo reports the geometries as: 

3D Multi Polygon

While QGIS in it's Layer Properties/Information panel shows them as:

Geometry Polygon (MultiPolygon25D)

See screen shot..

From Martin I understand there are 'different' types of 3D: 

https://github.com/qgis/QGIS-Enhancement-Proposals/issues/105#issuecomment-336051394

But at least QGIS should show I think the right result?

Screenie attached

History

#1 - 2017-11-10 11:52 PM - Even Rouault

This is just a terminology difference. 25D = 2.5D. Probably that the "3D MultiPolygon" in ogrinfo is not appropriate, since a multipolygon is supposed to be a

planar thing, so at best 2.5D. Perhaps MultiPolygonZ would be a more neutal terminology. The only real 3D geometry is a PolyhedralSurface (not sure if

that's handled by QGIS yet)

#2 - 2017-11-11 10:33 AM - Richard Duivenvoorde

Feel free to close this.

My point is just that I think 'notable geofoss tools' should use the same (and preferably professionally right) names and definitions for everything.

And I'm aware that this is more difficult with a widespread/anarchitic bunch of coders (compared to a dictotarial multinational), but I think we at least should

try :-)

@even: is it worth starting a discussion about this (both on GDAL an QGIS lists?) so we can hopefully come to a shared (documented) definition?

Else: just close it.
#3 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#4 - 2019-03-10 08:26 PM - Richard Duivenvoorde

- Status changed from Feedback to Closed
